Xfce Forum

Sub domains
 

You are not logged in.

#1 2011-01-30 15:52:12

koshi
Member
Registered: 2011-01-30
Posts: 3

ubuntu maverick (10.10) ppa for xfce 4.8

https://launchpad.net/~koshi/+archive/xfce-4.8
With the exception of exo these are simply rebuilds for maverick, straight from the natty packages. I had to tweak exo a bit to make it build, see diff for details.
These packages work fine for me, but ofc ymmv, so backup your config and and whatever else you hold dear. If anything goes really south, apt-get install ppa-purge and restore to distro packages.
If you need any additional packages let me know their name and I'll try to rebuild them for maverick too.

Offline

#2 2011-01-30 23:10:15

jeromeg
Moderator
From: France
Registered: 2010-11-11
Posts: 131
Website

Re: ubuntu maverick (10.10) ppa for xfce 4.8

Thanks a lot for your work! Xfce4 Screenshooter needs a rebuild too, as it ships a panel plugin.

Cheers,

Jérôme

Offline

#3 2011-01-31 10:43:09

koshi
Member
Registered: 2011-01-30
Posts: 3

Re: ubuntu maverick (10.10) ppa for xfce 4.8

I've added xfce4-screenshooter as well as the updates for terminal, xfce4-panel, xfce4-settings,  xfce-utils, xfwm4, xfdesktop and thunar that were released yesterday.

Offline

#4 2011-01-31 19:31:49

xfcelav
Member
From: /var/www/xfcelav
Registered: 2008-04-10
Posts: 94
Website

Re: ubuntu maverick (10.10) ppa for xfce 4.8

Hi:

You do not have plans to launch the Lucid version? LMDE use and I can only use packages Lucid ... sad

Last edited by xfcelav (2011-01-31 19:32:29)


url: blog.desdelinux.net
twt: @elavdeveloper

Offline

#5 2011-02-01 13:02:04

koshi
Member
Registered: 2011-01-30
Posts: 3

Re: ubuntu maverick (10.10) ppa for xfce 4.8

Rebuilding for lucid seems to require quite a few changes to packages (dependencies and such). So no, I will not do that.

Offline

#6 2011-02-01 15:14:02

pcybill
Member
Registered: 2008-05-26
Posts: 11

Re: ubuntu maverick (10.10) ppa for xfce 4.8

Allow me to voice my gratitude as well Koshi. Your work is very much appreciated.

Offline

#7 2011-02-01 15:56:06

xfcelav
Member
From: /var/www/xfcelav
Registered: 2008-04-10
Posts: 94
Website

Re: ubuntu maverick (10.10) ppa for xfce 4.8

koshi wrote:

Rebuilding for lucid seems to require quite a few changes to packages (dependencies and such). So no, I will not do that.

Well, thanks anyway. Insurance Maverick users will appreciate.


url: blog.desdelinux.net
twt: @elavdeveloper

Offline

#8 2011-02-01 19:17:01

SantaFe
Member
From: Freightyard.
Registered: 2010-09-06
Posts: 68

Re: ubuntu maverick (10.10) ppa for xfce 4.8

Well, followed your instructions and I had Xfce 4.8 running on my Kubuntu 10.10 32 bit box, for awhile.   Then for some strange reason XFWM4 just up & quit, as well as the Workspace manager plugin (it went from showing 4 workspaces to only one, no matter what number I picked).  No window decorations or anything.  Funny thing was, I could type into input boxes & leafpad fine, but not into a terminal window.  Went into KDE which still worked fine & used the apt-get install ppa-purge line you posted to remove everything and tried again.  Same problem even though I deleted the xfce4 folder in .config to force a new desktop.

Any ideas what happened?  I've removed it again, as well as every xfce4 related file using sudo dolphin so all that's left are the icons.


I use Xfce.  Don't you wish Everyone did? big_smile

Offline

#9 2011-02-02 12:34:06

Zc456
Member
Registered: 2011-02-02
Posts: 3
Website

Re: ubuntu maverick (10.10) ppa for xfce 4.8

Thank you. Managed to update a freshly installed Xubuntu 10.10 from XFCE 4.5 to 4.8 which is working good so far.

Last edited by Zc456 (2011-02-02 12:34:36)


Stay frosty, Z

Offline

#10 2011-02-02 16:25:38

Nick
Dev
From: ~
Registered: 2005-02-17
Posts: 1,144
Website

Re: ubuntu maverick (10.10) ppa for xfce 4.8

Just a note, the ppa's created by koshi are not officially supported by xubuntu.

Offline

#11 2011-02-02 20:32:50

SantaFe
Member
From: Freightyard.
Registered: 2010-09-06
Posts: 68

Re: ubuntu maverick (10.10) ppa for xfce 4.8

Nick wrote:

Just a note, the ppa's created by koshi are not officially supported by xubuntu.

I know (hangs head in shame! big_smile) Just wanted to try it out.   I'll wait till the official one's released to us poor K/Ubuntu users. lol


I use Xfce.  Don't you wish Everyone did? big_smile

Offline

#12 2011-02-02 20:41:26

Nick
Dev
From: ~
Registered: 2005-02-17
Posts: 1,144
Website

Re: ubuntu maverick (10.10) ppa for xfce 4.8

SantaFe wrote:
Nick wrote:

Just a note, the ppa's created by koshi are not officially supported by xubuntu.

I know (hangs head in shame! big_smile) Just wanted to try it out.   I'll wait till the official one's released to us poor K/Ubuntu users. lol

Everybody is free to use it obviously, just saying...

Offline

#13 2011-02-09 18:23:47

nhtrader
Member
Registered: 2011-02-09
Posts: 7

Re: ubuntu maverick (10.10) ppa for xfce 4.8

Just upgraded my Mythbuntu 10.10 (32bit) using ppa:koshi/xfce-4.8 no problems. It improved my CD-ROM detection.

Steps used...
1. sudo add-apt-repository ppa:koshi/xfce-4.8
2. sudo apt-get update

now use Update Manager - new packages detected, downloaded, and installed.

No reboot required.

Very simple. Very easy. Superb. Sublime.

Offline

#14 2011-02-15 23:39:25

skodsamler
Member
Registered: 2011-02-15
Posts: 1

Re: ubuntu maverick (10.10) ppa for xfce 4.8

nhtrader did as u said and all i think is ok. now what is the steps to use xfce ??
i  have booted and has still ubuntu desktop etc, and i am running on 4gb usbdrive so if i can remove ubuntuś things that i use with xfce it would be great. or if i dont want xfce how do i remove it again ?
best regards skodsamler denmark

Offline

#15 2011-02-25 10:18:52

gregg128
Member
Registered: 2011-02-24
Posts: 3

Re: ubuntu maverick (10.10) ppa for xfce 4.8

2 koshi
Please please build also thunar plugins! Especially the arhive-plugin!
Tnx for you work.

Offline

#16 2011-03-13 21:11:11

nhtrader
Member
Registered: 2011-02-09
Posts: 7

Re: ubuntu maverick (10.10) ppa for xfce 4.8

skodsamler wrote:

nhtrader did as u said and all i think is ok. now what is the steps to use xfce ??
i  have booted and has still ubuntu desktop etc, and i am running on 4gb usbdrive so if i can remove ubuntuś things that i use with xfce it would be great. or if i dont want xfce how do i remove it again ?
best regards skodsamler denmark

I didn't have this problem b/c my machine was gnome free. My install was a xubuntu with MythTV loaded on to it.

As for your dual desktop environment, I'd guess you would have to log out of your gnome based session and log back in after selecting xfce. Again, I don't know how to change the startup sequence to make xfce your default desktop. Perhaps a post to the ubuntuforums.org in the "Desktop Environment"  or  "General Help" forum may help.

Offline

#17 2011-03-20 01:11:16

SantaFe
Member
From: Freightyard.
Registered: 2010-09-06
Posts: 68

Re: ubuntu maverick (10.10) ppa for xfce 4.8

Got it working fine now, just one question, are you (if you have spare time on your hands) going to update thunar to the latest version?

Just wondering.  wink


I use Xfce.  Don't you wish Everyone did? big_smile

Offline

Board footer

Powered by FluxBB